cURL
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/action-queue \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/action-queue"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/action-queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"actionType": 0,
"idContract": "12345",
"serialNumber": "123456789876543",
"customerId": 54321,
"status": "PROCESSING_QUEUE",
"processLog": "Ação criada, pronta para processar",
"processingDate": "2025-08-04T17:24:58.610Z",
"processData": "{\"contractIdMOT\":12345,\"device\":{\"deviceId\":\"123456789876543\"}}",
"createdAt": "2025-05-06T10:11:27",
"createdBy": "teste",
"updatedAt": "2025-08-04T17:24:58.610Z",
"updatedBy": "string"
}{
"errors": "Parameter not found"
}{
"error": "Requisição requer autenticação."
}{
"error": "O acesso ao recurso foi negado."
}{
"error": "URI de API/Recurso inexiste para processamento."
}{
"errors": "Parameter not found"
}Satellital
Consulta fila de ações
Consultor de fila de ações.
GET
/
satellite
/
action-queue
cURL
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Identificador do client id do sensedia
Example:
"123"
Token gerado
Example:
"123A456b789c"
Query Parameters
ID do cliente a ser filtrado
Example:
"123"
Status a ser filtrado
Available options:
SUCCESS, PROCESSING_QUEUE, PROCESSING, UNEXPECTED_ERROR, ERR_MS_ALREADY_SUSPENDED, ERR_MS_NOT_SUSPENDED, ERR_MS_ACTION_ID_NOT_FOUND, ERR_MS_DEVICE_ID_IN_PROCESS, ERR_MS_PERMISSION_DENIED, ERR_MS_VIRTUAL_ACCOUNT_NOT_FOUND, ERR_MS_CUSTOMER_INFORMATION_NOT_FOUND, ERR_MS_ASSET_NUMBER_NOT_FOUND, ERR_MS_INVALID_ACTIVATION_PARAMS, ERR_MS_CONTRACT_ID_REQUIRED, ERR_MS_UNEXPECTED_ACTIVATION_TYPE, ERR_MS_DEVICE_ALREADY_ACTIVE, ERR_MS_VIRTUAL_ACCOUNT_NOT_FOUND_IN_HIERARCHY, ERR_MS_INVALID_CUSTOMER_PARENT_ID, ERR_MS_INVALID_CONTRACT_TYPE, ERR_MS_INVALID_VIRTUAL_ACCOUNT_STATUS, ERR_MS_INVALID_CUSTOMER_HIERARCHY, ERR_MS_CUSTOMER_NOT_FOUND, ERR_MS_DEVICE_NOT_FOUND, ERR_SATELLITE, ERR_RMS Número de série do dispositivo
Example:
"321"
Tipo de ação. Essas ações podem ser listadas no endpoint /satellite/actions
Example:
"0 = Ativação, 1 = Desativação"
Data inicial para filtro
Example:
"yyyy-MM-dd"
Data final para filtro
Example:
"yyyy-MM-dd"
Número da página
Example:
"0"
Tamanho da página de resultados
Example:
"24"
Response
Lista de ações encontradas

